import typing
from time import sleep

from pycs.interfaces.LabelProvider import LabelProvider


class Provider(LabelProvider):
    def __init__(self, root_folder, configuration):
        pass

    def close(self):
        pass

    def get_labels(self) -> typing.List[dict]:
        sleep(5)
        raise ValueError('failed after five seconds')
        return []
